Name:          taglist-maven-plugin
Version:       2.4
Release:       %mkrel 2
Summary:       Taglist Maven Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/taglist-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/taglist-maven-plugin-2.4
# tar czf taglist-maven-plugin-2.4-src-svn.tar.gz taglist-maven-plugin-2.4
Source0:       taglist-maven-plugin-2.4-src-svn.tar.gz
Patch0:        taglist-maven-plugin-2.4-TagListReport.patch
Patch1:        taglist-maven-plugin-2.4-ReportGenerator.patch
Patch2:        taglist-maven-plugin-2.4-mvn3-apis.patch

BuildRequires: apache-commons-lang
BuildRequires: bsf
BuildRequires: bsh2
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-surefire-plugin
BuildRequires: modello
BuildRequires: mojo-parent
BuildRequires: plexus-utils
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-project

Requires:      java
Requires:      jpackage-utils
Requires:      maven
Requires:      maven-shared-reporting-impl
BuildArch:     noarch

%description
The Taglist Maven Plugin generates a report on various tags found in the
code, like @todo or //TODO tags.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Taglist Maven Plugin - Produce a tag list report.

This package contains javadoc for %{name}

%prep
%setup -q -n taglist-maven-plugin-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

mvn-rpmbuild -e -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 target/%{name}-%{version}*.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-taglist-maven-plugin.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Mon Jan 09 2012 dmorgan <dmorgan> 2.4-2.mga2
+ Revision: 193597
- Remove P1 applied twice

  + gil <gil>
    - build fix added  maven 3.x support

* Mon Sep 05 2011 dmorgan <dmorgan> 2.4-1.mga2
+ Revision: 138721
- Fix buildrequires
- Adapt to mageia guidelines

  + gil <gil>
    - imported package taglist-maven-plugin


* Tue Jul 12 2011 gil <gil> 2.4-0.%%mkrel
- initial rpm

